# Copyright (C) 2005-2011 Canonical Ltd
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

from mago.struct import Struct

menu = Struct()
button = Struct()
dialog = Struct()
meridiem = Struct()
text = Struct()
label = Struct()
table = Struct()
radioButton = Struct()
comboSelect = Struct()
checkbox = Struct()

label.photosSuccessfullyImported = "lbl%dphotossuccessfullyimported" # string format
label.photosDisplayed = "lbl%dPhoto*" 
label.originalDateTime = 'lblOriginal*'

#meridiem widgets
meridiem.am = 'AM'
meridiem.pm = 'PM'
menu.meridiem = "mnu%s"
comboSelect.meridiem = "cbo%s"

button.copyPhotos = 'btnCopyPhotos'
button.importInPlace = 'btnImportinPlace'
button.keep = 'btnKeep'
button.ok  = 'btnOK'
button.open = 'btnOpen'
button.trashFiles = 'btnTrashFiles'
button.typeAFilename = 'tbtnTypeafilename'
button.fSpotDbFile = 'btn(None)'

checkbox.modifyOriginalFiles = 'chkModifyoriginalfile*'

dialog.adjustDateTime = 'dlgAdjustDateandTime'
dialog.warning = 'dlgWarning'
dialog.question = 'dlgQuestion'
dialog.importFromFolder = 'dlgImportFromFolder'
dialog.importFromFSpot = 'dlgImportFromF-Spot'
dialog.information = 'dlgInformation'
dialog.addTags = 'dlgAddTags'
dialog.exportPhotos = 'dlgExportPhoto*'
dialog.selectAFile = 'dlgSelectAFile'

menu.about = 'mnuAbount'
menu.addTags = 'mnuAddTags'
menu.adjustDateTime = 'mnuAdjustDateandTime'
menu.allPhotos = 'mnuAllPhotos'
menu.emptyTrash = 'mnuEmptyTrash'
menu.export = 'mnuExport'
menu.importFromFolder = 'mnuImportFromFolder'
menu.importFromFSpot = 'mnuImportFromF-Spot'
menu.moveToTrash = 'mnuMovetoTrash'
menu.selectAll = 'mnuSelectAll'
menu.setRating1 = u'mnu\u2605'
menu.filterPhotos1OrBetter = u'mnu\u2605orBetter'
menu.filterPhotos2OrBetter = u'mnu\u2605\u2605orBetter'
menu.png = 'mnuPNG'

table.navigationPanel = 'ttbl0'

text.location = 'txtLocation'
text.tags = 'txt0'

radioButton.importFSpotDbFile = 'rbtnImportfromanotherF-Spotdatabasefile'

#btn3 = "btn3"
#btnEnhance = "btnEnhance"
#btnPublish = "btnPublish"
#btnRotate = "btnRotate"
#ico0 = "ico0"
#ico1 = "ico1"

#mnuAll_Rejected = "mnuAll+Rejected"

#mnuAscending = "mnuAscending"
#mnuAscending1 = "mnuAscending1"
#mnuBasicInformation = "mnuBasicInformation"
#mnuByExposureDate = "mnuByExposureDate"
#mnuByRating = "mnuByRating"
#mnuByTitle = "mnuByTitle"
#mnuContents = "mnuContents"
#mnuDecrease = "mnuDecrease"
#mnuDescending = "mnuDescending"
#mnuDescending1 = "mnuDescending1"
#mnuDuplicate = "mnuDuplicate"
#mnuEdit = "mnuEdit"
#mnuEditTitle = "mnuEditTitle"
#mnuEmpty = "mnuEmpty"
#mnuEmpty1 = "mnuEmpty1"
#mnuEmpty10 = "mnuEmpty10"
#mnuEmpty2 = "mnuEmpty2"
#mnuEmpty3 = "mnuEmpty3"
#mnuEmpty4 = "mnuEmpty4"
#mnuEmpty5 = "mnuEmpty5"
#mnuEmpty6 = "mnuEmpty6"
#mnuEmpty7 = "mnuEmpty7"
#mnuEmpty8 = "mnuEmpty8"
#mnuEmpty9 = "mnuEmpty9"

#mnuEnhance = "mnuEnhance"
#mnuEvents = "mnuEvents"
#mnuExtendedInformation = "mnuExtendedInformation"
#mnuFile = "mnuFile"
#mnuFilterPhotos = "mnuFilterPhotos"
#mnuFlag = "mnuFlag"
#mnuFlipHorizontally = "mnuFlipHorizontally"
#mnuFlipVertically = "mnuFlipVertically"
#mnuFullscreen = "mnuFullscreen"
#mnuGetHelpOnline = "mnuGetHelpOnline"
#mnuHelp = "mnuHelp"
#mnuIncrease = "mnuIncrease"
#mnuModifyTags = "mnuModifyTags"
#mnuNewEvent = "mnuNewEvent"
#mnuOpenWithExternalEditor = "mnuOpenWithExternalEditor"
#mnuOpenWithRAWEditor = "mnuOpenWithRAWEditor"
#mnuPhotos = "mnuPhotos"
#mnuPlayVideo = "mnuPlayVideo"
#mnuPreferences = "mnuPreferences"
#mnuPrint = "mnuPrint"
#mnuPublish = "mnuPublish"
#mnuQuit = "mnuQuit"
#mnuRatings = "mnuRatings"
#mnuRedo = "mnuRedo"
#mnuRejected = "mnuRejected"
#mnuRejectedOnly = "mnuRejectedOnly"
#mnuRemoveFromLibrary = "mnuRemoveFromLibrary"
#mnuReportaProblem = "mnuReportaProblem"
#mnuReverttoOriginal = "mnuReverttoOriginal"
#mnuRotateLeft = "mnuRotateLeft"
#mnuRotateRight = "mnuRotateRight"

#mnuSendTo = "mnuSendTo"
#mnuSetRating = "mnuSetRating"
#mnuSetasDesktopBackground = "mnuSetasDesktopBackground"
#mnuShowinFileManager = "mnuShowinFileManager"
#mnuSlideshow = "mnuSlideshow"
#mnuSortEvents = "mnuSortEvents"
#mnuSortPhotos = "mnuSortPhotos"
#mnuTags = "mnuTags"
#mnuTags1 = "mnuTags1"
#mnuTitles = "mnuTitles"
#mnuTranslateThisApplication = "mnuTranslateThisApplication"
#mnuUndo = "mnuUndo"
#mnuUnrated = "mnuUnrated"
#mnuView = "mnuView"
#mnuViewEventforPhoto = "mnuViewEventforPhoto"
#mnuZoomIn = "mnuZoomIn"
#mnuZoomOut = "mnuZoomOut"
#mnu___ = "mnu*"
#mnu___orBetter = "mnu*orBetter"
#mnu______ = "mnu**"
#mnu______orBetter = "mnu**orBetter"
#mnu_________ = "mnu***"
#mnu_________orBetter = "mnu***orBetter"
#mnu____________ = "mnu****"
#mnu____________orBetter = "mnu****orBetter"
#mnu_______________ = "mnu*****"
#mnu_______________1 = "mnu*****1"
#ptab0 = "ptab0"
#ptl0 = "ptl0"
#ttbl0 = "ttbl0"

